Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.owasp.dependencycheck.data.lucene
Class AbstractTokenizingFilter

    java.lang.Object
      org.apache.lucene.util.AttributeSource
          org.apache.lucene.analysis.TokenStream
              org.apache.lucene.analysis.TokenFilter
                  org.owasp.dependencycheck.data.lucene.AbstractTokenizingFilter

All Implemented Interfaces:
  Closeable

Direct Known Subclasses:
  UrlTokenizingFilter, VersionTokenizingFilter

    public abstract class AbstractTokenizingFilter

extends org.apache.lucene.analysis.TokenFilter

An abstract tokenizing filter that can be used as the base for a tokenizing filter.

Author:
  Jeremy Long (jeremy.long@owasp.org)

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource
`org.apache.lucene.util.AttributeSource.AttributeFactory, org.apache.lucene.util.AttributeSource.State`

Field Summary

Fields inherited from class org.apache.lucene.analysis.TokenFilter
`input`

Constructor Summary
`AbstractTokenizingFilter(org.apache.lucene.analysis.TokenStream stream)` Constructs a new AbstractTokenizingFilter.

Method Summary
`protected boolean` | `addTerm()` Adds a term, if one exists, from the tokens collection.
`protected org.apache.lucene.analysis.tokenattributes.CharTermAttribute` | `getTermAtt()` Gets the CharTermAttribute.
`protected LinkedList<String>` | `getTokens()` Gets the list of tokens.

Methods inherited from class org.apache.lucene.analysis.TokenFilter
`close, end, reset`

Methods inherited from class org.apache.lucene.analysis.TokenStream
`incrementToken`

Methods inherited from class org.apache.lucene.util.AttributeSource
`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractTokenizingFilter

    public AbstractTokenizingFilter(org.apache.lucene.analysis.TokenStream stream)

  Constructs a new AbstractTokenizingFilter.

  Parameters:
    `stream` - the TokenStream that this filter will process

Method Detail

### getTermAtt

    protected org.apache.lucene.analysis.tokenattributes.CharTermAttribute getTermAtt()

  Gets the CharTermAttribute.

  Returns:
    the CharTermAttribute

### getTokens

    protected LinkedList<String> getTokens()

  Gets the list of tokens.

  Returns:
    the list of tokens

### addTerm

    protected boolean addTerm()

  Adds a term, if one exists, from the tokens collection.

  Returns:
    whether or not a new term was added

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2012-2013 OWASP. All Rights Reserved.